HEXYL(1)

NAME
hexyl - command-line hex viewer

DESCRIPTION
hexyl 0.8.0 A command-line hex viewer

  USAGE:

    hexyl [OPTIONS] [FILE]

  OPTIONS:

-n, --length <N>
    Only read N bytes from the input. The N argument can also include a unit with a decimal prefix (kB, MB, ..) or binary prefix (kiB, MiB, ..). Examples: --length=64, --length=4KiB

-c, --bytes <N>
    An alias for -n/--length

-s, --skip <N>
    Skip the first N bytes of the input. The N argument can also include a unit (see `--length` for details)

--block-size <SIZE>
    Sets the size of the `block` unit to SIZE. Examples: --block-size=1024, --block-size=4kB

-v, --no-squeezing
    Displays all input data. Otherwise any number of groups of output lines which would be identical to the preceding group of lines, are replaced with a line comprised of a single asterisk.

--color <WHEN>
    When to use colors. The auto-mode only displays colors if the output goes to an interactive terminal [default: always] [possible values: always, auto, never]

--border <STYLE>
    Whether to draw a border with Unicode characters, ASCII characters, or none at all [default: unicode] [possible values: unicode, ascii, none]

-o, --display-offset <N>
    Add N bytes to the displayed file position. The N argument can also include a unit (see `--length` for details)

-h, --help
    Prints help information

-V, --version
    Prints version information

  ARGS:

<FILE>
    The file to display. If no FILE argument is given, read from STDIN.